Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225578 - Hindi Godrej typewriter keymap needed
Summary: Hindi Godrej typewriter keymap needed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-db
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 13:57 UTC by Mayank Jain
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-14 10:28:37 UTC


Attachments (Terms of Use)
Initial version of hi-godrej.mim (deleted)
2007-01-31 13:57 UTC, Mayank Jain
no flags Details
Keyboard layout image (deleted)
2007-01-31 14:04 UTC, Mayank Jain
no flags Details
Modified hi-godrej.mim file (deleted)
2007-02-09 10:36 UTC, Mayank Jain
no flags Details

Description Mayank Jain 2007-01-31 13:57:43 UTC
Description of problem:
Hindi Godrej typewriter keymap needed

Version-Release number of selected component (if applicable):
m17n-db-1.3.4-2.fc7

Additional info:
The keymap can be based on hi-typewriter keymap.
An initial version of the keymap is attached.

Comment 1 Mayank Jain 2007-01-31 13:57:43 UTC
Created attachment 147020 [details]
Initial version of hi-godrej.mim

Comment 2 Mayank Jain 2007-01-31 14:04:55 UTC
Created attachment 147021 [details]
Keyboard layout image

Comment 3 Mayank Jain 2007-02-09 10:36:40 UTC
Created attachment 147751 [details]
Modified hi-godrej.mim file

Comment 4 Mayank Jain 2007-02-09 10:43:50 UTC
Rajesh ji, can you please review the attachment in comment 3 - you can use the
keyboard layout image in comment 2

Please check that all hindi characters are included in the keymap.

Thanks,
Mayank

Comment 5 Jens Petersen 2007-05-04 01:00:42 UTC
Ping?

Comment 6 Rajesh Ranjan 2007-05-04 08:48:52 UTC
Following are the inconsistencies wrt image given in Comment #2
 (Given Image is not clear also!!)

  (">" "झ")				; 091D	in image झ्‌ shown 
  ("_" "द्घ")				; 0926 094D 0918		not according to given image
  ("E" "म्")				; 092E 094D		not mapped to any charactor in image
  ("`" " ़") 				; 093C		
  ("Q" "ो")				; 094B  		in image not mapped to any char.
  ("A" "।")				; 0964		in image it is mapped to " ा "
 ("\(" "\;")				but in image mapped with त्र्  so त्र is not mapped anywhere 
  ("-" "")				mapped to none but in image it is.
  ("|" "")				mapped to none but in image it is. Image not clear.
 ("Z" "।")   				not mapped in image but here it is with " । "

Halant is at two places:
 ("~" "्")				; 094D
  ("z" "्")				; 094D

  
Apart from the given image following charactors also need to be defined:
"ओ" "औ" "ऐ" "ऊ" "आ" "ई"  not present in keymap.  

Comment 7 ntakahas 2007-05-11 08:56:50 UTC
Since the Godrej layout is based on a mechanical typewriter, I imagine "ओ" is
composed by "अ" and "ो".  The same for the other missing characters.  However,
it is no more than my guess.  We need a clearer image file and the specification
of the input method (e.g. should "ि" be typed before a consonant?) to create an
input method for this layout.

Comment 8 Red Hat Bugzilla 2007-05-14 01:22:16 UTC
User majain@redhat.com's account has been closed

Comment 9 Jens Petersen 2007-05-24 02:13:17 UTC
reassigning to Parag, the new package owner

Comment 10 Jens Petersen 2007-09-05 03:07:38 UTC
ping

Comment 12 Parag Nemade 2007-11-14 10:30:38 UTC
Closed as I can't find correct image to work on. I need some trusted resource
that says this is correct Godrej Typewriter keyboard image.


Note You need to log in before you can comment on or make changes to this bug.